#
# spec file for package libnotify
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libnotify
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
%if 0%{?BUILD_FROM_VCS}
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
%endif
Version:        0.7.6
Release:        6.5
Url:            http://www.galago-project.org/
Summary:        Notifications Library
License:        LGPL-2.1+
Group:          System/Libraries
Source:         http://download.gnome.org/sources/libnotify/0.7/%{name}-%{version}.tar.xz
Source99:       baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
D-BUS notifications library.

%package -n libnotify4
Summary:        Notifications Library
Group:          System/Libraries
Recommends:     notification-daemon

%description -n libnotify4
D-BUS notifications library.

%package -n typelib-1_0-Notify-0_7
Summary:        Notifications Library -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Notify-0_7
D-BUS notifications library.

This package provides the GObject Introspection bindings for libnotify.

%package tools
Summary:        Notifications Library -- Tools
Group:          System/Libraries
Provides:       libnotify = %{version}
Obsoletes:      libnotify < %{version}

%description tools
D-BUS notifications library.

This package contains the notify-send tool to create notifications.

%package devel
Summary:        Notifications Library
Group:          Development/Libraries/X11
Requires:       libnotify4 = %{version}
Requires:       typelib-1_0-Notify-0_7 = %{version}
Provides:       libnotify-doc = %{version}
Obsoletes:      libnotify-doc < %{version}

%description devel
D-BUS notifications library.

%prep
%setup -q
%if 0%{?BUILD_FROM_VCS}
[ -x ./autogens.sh ] && NOCONFIGURE=1 ./autogen.sh
%endif

%build
%configure\
%if 0%{?BUILD_FROM_VCS}
        --enable-gtk-doc \
%endif
	--disable-static
make %{?_smp_mflags}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post -n libnotify4 -p /sbin/ldconfig

%postun -n libnotify4 -p /sbin/ldconfig

%files -n libnotify4
%defattr (-, root, root)
# README is empty
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/*.so.*

%files -n typelib-1_0-Notify-0_7
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Notify-0.7.typelib

%files tools
%defattr (-, root, root)
%{_bindir}/notify-send

%files devel
%defattr (-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gir-1.0/*.gir
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libnotify

%changelog
* Tue Sep  3 2013 dimstar@opensuse.org
- Update to version 0.7.6:
  + Fix annotation for add_action.
  + Clarify documentation for set-timeout.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Mon Jul  9 2012 cfarrell@suse.com
- license update: LGPL-2.1+
  No GPL-2.0+ files found in the package. The Fedora package is also
  licensed under LGPL-2.1+
* Tue Mar 27 2012 vuntz@opensuse.org
- Update to version 0.7.5:
  + Build fixes
  + Documentation improvements
  + Spec clarifications
* Thu Dec  8 2011 dimstar@opensuse.org
- Split typelib file into typelib-1_0-Notify-0_7 subpackage.
- Add typelib-1_0-Notify-0_7 Requires to devel subpackage.
* Fri Sep 16 2011 jengelh@medozas.de
- Enable libnotify-devel for all baselibs archs
- Remove redundant tags/sections; use %%_smp_mflags
* Tue Aug 30 2011 vuntz@opensuse.org
- Update to version 0.7.4:
  + Improve documentation of supported image data formats
  + Test notification removal
  + Build system changes
* Tue May 17 2011 dimstar@opensuse.org
- Update to version 0.7.3:
  + Add a way to change the application name for individual
    notifications.
* Tue Mar 22 2011 fcrozat@novell.com
- Update to version 0.7.2:
  + Add a way to change the application name
  + Mark image_path as deprecated
  + Allow properties to be set in any order
* Mon Feb  7 2011 fcrozat@novell.com
- Update to version 0.7.1:
  + Don't export private symbols
  + Introspection support and annotations
  + Documentation cleanups and fixes
  + Ref the pixbuf passed to set_image_from_pixbuf
  + Add tests for new capabilities and hints
  + Update spec to mention "persistence" and "action-icons" server
    capability and "action-icons", "transient" and "resident"
    hints.
  + Bump spec version to 1.2
- Add gobject-introspection-devel BuildRequires to build
  introspection.
- Add support for source service checkout, with %%BUILD_FROM_VCS:
  + Add gnome-common, gtk-doc BuildRequires.
  + Add call to ./autogen.sh.
  + Enforce gtk-doc html generation by passing --enable-gtk-doc to
    configure.
- Change devel package group from System/Libraries to
  Development/Libraries/X11, to fix rpmlint warning.
* Fri Dec 17 2010 vuntz@opensuse.org
- Update to version 0.7.0:
  + Remove the ability to attach notifications to widgets or
    positions
  + Add a test for the persistence server capability
  + Port to use GBus instead of dbus-glib
  + Add a macro to get library version number
  + Remove GTK+ dependency from library
  + Port tests to GTK+ 3
- Remove pkgconfig(dbus-1), pkgconfig(dbus-glib-1),
  pkgconfig(gtk+-2.0) BuildRequires.
- Add explicit pkgconfig(gdk-pixbuf-2.0) BuildRequires.
- Rename libnotify1 to libnotify4, following the soversion change.
* Mon Oct  4 2010 vuntz@opensuse.org
- Update to version 0.6.0:
  + Fix crashes (bgo#623096, lp#570462).
* Thu Jul 22 2010 vuntz@opensuse.org
- Create a tools subpackage, and move the notify-send utility
  there. The main libnotify package is not needed anymore, so make
  the tools subpackage provide/obsolete it.
- Move the notification-daemon Recommends to libnotify1, since it's
  where it really belongs.
- Remove libnotify Requires in libnotify1: it's not needed.
- Remove dbus-1-devel, dbus-1-glib-devel, glib2-devel, gtk2-devel
  Requires in devel package: they will automatically get added with
  pkgconfig() Requires.
* Fri Jul 16 2010 dimstar@opensuse.org
- Update to version 0.5.1:
  + Remove explicit GTK+ 2.x linking, so that libnotify can link
    against both GTK+ 2.x or GTK+ 3.x
- Changes from version 0.5.0:
  + Support for version 1.1 of notification spec
  - bgo#608089: Applications aborted at finalizing when the dbus
    session is being closed.
  - bgo#608082: Arabic text is misplaced in bubbles (RTL)
  - bgo#608086: wrong return value of notify_init()
  - bgo#612720: Does not compile with -DGSEAL_ENABLE
  - bgo#613999: Use g_strcompress in notify-send to parse \n from
    command line
  - bgo#610880: lazily initialize the daemon.
- BuildRequire gtk3-devel instead of gtk2-devel.
* Fri Jun  4 2010 vuntz@opensuse.org
- Make devel package depend on libnotify1, not libnotify.
* Tue Jan  5 2010 jengelh@medozas.de
- Package baselibs.conf
* Sun Apr 26 2009 vuntz@novell.com
- Do not Require notification-daemon, but Recommend it: there's no
  reason to hard-require it.
* Sat Feb 28 2009 vuntz@novell.com
- Remove BuildRequires: gtk-doc, update-desktop-files.
- Remove dbus-1-x11 Requires: it's wrong (we don't require
  dbus-launch in any way: if the session bus is not there, having
  dbus-launch won't help). The requirement should be in another
  package.
- Merge doc package in devel, with adequate Provides/Obsoletes.
* Sat Jan 31 2009 vuntz@novell.com
- Remove la file.
* Sat Dec 20 2008 mboman@suse.de
- Update to version 0.4.5:
  + Added GObject property accessors for notification IDs
  + Added support for sending the closed reason in the "closed" signal
    handler.
  + Added support for sending the status icon XID to the notification
    daemon. This will allow better position tracking for context
    notifications.
  + Fixed a breakage where we were including gtkversion.h directly.
- Remove backport libnotify-svn3018.patch
* Tue Nov 11 2008 ro@suse.de
- SLE-11 uses PPC64 instead of PPC, adapt baselibs.conf
* Tue Oct 28 2008 vuntz@novell.com
- Add libnotify-svn3018.patch, which contains a few fixes from
  upstream svn (no release since early 2007). The most important
  change is a change to be able to work nicely with notification
  icons.
- Spec clean up.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Oct  4 2007 maw@suse.de
- s#%%run_ldconfig#/sbin/ldconfig# in %%post and %%postun
- Split out a libnotify1 subpackage.
* Tue Mar  6 2007 sbrabec@suse.cz
- Updated to version version 0.4.4:
  * Bug fixes.
  * Fixed memory leaks.
  * notify_uninit is no longer called automatically at exit.
- License update (#236707).
* Tue Feb 20 2007 aj@suse.de
- Remove unneeded requires on popt.
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Fri Dec  8 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Mon Nov 27 2006 sbrabec@suse.cz
- Build correctly in older products.
- Fixed devel dependencies.
* Thu Aug 31 2006 cschneemann@suse.de
- Updated to version 0.4.2
* Mon Aug 14 2006 ro@suse.de
- added dbus-1-glib-devel to BuildRequires
* Thu May 11 2006 rml@suse.de
- Require dbus-x11 too, because that provides dbus-launch, which
  is how we launch the session bus.  And libnotify needs the
  session bus (Novell bug #174865).
- No need to rerun autogen; just run configure
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 dobey@suse.de
- Updated to version 0.3.2
* Wed Jan 18 2006 sbrabec@suse.cz
- Updated to version 0.3.0.
* Tue Aug  2 2005 rodrigo@suse.de
- Updated to 0.2.1.
* Wed Jun 29 2005 sbrabec@suse.cz
- New SuSE package, pre-0.0.1 version from actual svn snapshot.
